Bug 240940 - security/stoken: nettle is an optional alternative for libtomcrypt - please mark as unbroken with dependency on libtomcrypt only
Summary: security/stoken: nettle is an optional alternative for libtomcrypt - please m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-30 12:46 UTC by Rubin Simons
Modified: 2019-10-08 02:26 UTC (History)
2 users (show)

See Also:
samm: maintainer-feedback+
meta: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rubin Simons 2019-09-30 12:46:30 UTC
stoken is currently marked as broken, probably due to ancient nettle version requirement. But nettle is an optional alternative for libtomcrypt, which does work (just tested by TRYBROKEN=yes, both nettle 3.5.1 and tomcrypt installed, stoken skips nettle, picks up tomcrypt and builds successfully).
Comment 1 samm 2019-10-02 15:53:09 UTC
Agree. 

Committers, please remove broken bit, it builds just fine for me.
Comment 2 Koichiro Iwao freebsd_committer 2019-10-07 07:20:29 UTC
Confirmed just removing BROKEN builds successfully.
Comment 3 Koichiro Iwao freebsd_committer 2019-10-07 07:51:46 UTC
Marking as BROKEN was MFH'ed, MFH unbreak again.
Comment 4 commit-hook freebsd_committer 2019-10-07 07:52:54 UTC
A commit references this bug:

Author: meta
Date: Mon Oct  7 07:52:03 UTC 2019
New revision: 513924
URL: https://svnweb.freebsd.org/changeset/ports/513924

Log:
  security/stoken: Unbreak

  it is actually not broken. Builds fine without any modifications.
  Marking as BROKEN was MFH'ed, so MFH unbreak again.

  PR:		240940
  Reported by:	Rubin Simons <rubin@xs4all.nl>
  Approved by:	samm@os2.kiev.ua (maintainer)
  MFH:		2019Q4

Changes:
  head/security/stoken/Makefile
Comment 5 commit-hook freebsd_committer 2019-10-08 02:25:02 UTC
A commit references this bug:

Author: meta
Date: Tue Oct  8 02:24:41 UTC 2019
New revision: 514024
URL: https://svnweb.freebsd.org/changeset/ports/514024

Log:
  MFH: r513924

  security/stoken: Unbreak

  it is actually not broken. Builds fine without any modifications.
  Marking as BROKEN was MFH'ed, so MFH unbreak again.

  PR:		240940
  Reported by:	Rubin Simons <rubin@xs4all.nl>
  Approved by:	samm@os2.kiev.ua (maintainer)

  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/security/stoken/Makefile
Comment 6 Koichiro Iwao freebsd_committer 2019-10-08 02:26:02 UTC
Committed, thanks!